; -- Spark.iss --
; Demonstrates copying 3 files and creating an icon.

; SEE THE DOCUMENTATION FOR DETAILS ON CREATING .ISS SCRIPT FILES!

[Setup]
AppName=Spark
AppVerName=Spark Version  2.6.0

DefaultDirName={pf}\Spark
DefaultGroupName=Spark
UninstallDisplayIcon={app}\Spark.exe




Compression=lzma
SolidCompression=yes
OutputDir=userdocs:Spark Setup


[Tasks]
Name: desktopicon; Description: "Criar um cone no &desktop";
Name: desktopicon\common; Description: "Para todos os usurios"; Flags: exclusive
Name: desktopicon\user; Description: "Apenas para o usurio atual"; Flags: exclusive unchecked
Name: quicklaunchicon; Description: "Criar um atalho na barra de incio rpido"; Flags: unchecked

[Files]
Source: "..\..\target\build\Spark.exe"; DestDir: "{app}"
Source: "..\..\target\build\starter.exe"; DestDir: "{app}"
Source: "..\..\target\build\lib\*"; DestDir: "{app}\lib"
Source: "..\..\target\build\lib\windows\*"; DestDir: "{app}\lib\windows\"
Source: "..\..\target\build\plugins\*"; DestDir: "{app}\plugins"
Source: "..\..\target\build\resources\*"; DestDir: "{app}\resources"
Source: "..\..\target\build\xtra\emoticons\*"; DestDir: "{app}\xtra\emoticons\"



[Icons]
Name: "{group}\Spark"; Filename: "{app}\Spark.exe"
Name: "{group}\Desinstalar"; Filename: "{uninstallexe}"
Name: "{commondesktop}\Spark"; Filename: "{app}\Spark.exe"; Tasks: desktopicon\common
Name: "{userdesktop}\Spark"; Filename: "{app}\Spark.exe"; Tasks: desktopicon\user
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Spark"; Filename: "{app}\Spark.exe"; Tasks: quicklaunchicon


[Registry]
Root: HKCR; Subkey: "Applications\Spark.exe"; ValueName: "TaskbarGroupIcon"; ValueData: "{app}\resources\spark.ico"

[Run]
Filename: {app}\{cm:AppName}.exe; Description: {cm:LaunchProgram,{cm:AppName}}; Flags: nowait postinstall skipifsilent

[CustomMessages]
AppName=Spark
LaunchProgram=Iniciar Spark

[Languages]
Name: Portugues; MessagesFile: "compiler:Languages\BrazilianPortuguese.isl"


